Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  object Reporting
  Definition Classes
    nsc
-  object WarningCategory
  Definition Classes
    Reporting
- Deprecation
- Feature
- FeatureDynamics
- FeatureExistentials
- FeatureHigherKinds
- FeatureImplicitConversions
- FeatureMacros
- FeaturePostfixOps
- FeatureReflectiveCalls
- JavaSource
- Lint
- LintAdaptedArgs
- LintBynameImplicit
- LintConstant
- LintDelayedinitSelect
- LintDeprecation
- LintDocDetached
- LintEtaSam
- LintEtaZero
- LintImplicitNotFound
- LintInaccessible
- LintInferAny
- LintMissingInterpolator
- LintMultiargInfix
- LintNonlocalReturn
- LintNullaryUnit
- LintOptionImplicit
- LintPackageObjectClasses
- LintPolyImplicitOverload
- LintPrivateShadow
- LintRecurseWithDefault
- LintSerial
- LintStarsAlign
- LintTypeParameterShadow
- LintUnitSpecialization
- Optimizer
- Other
- OtherDebug
- OtherMatchAnalysis
- OtherMigration
- OtherNonCooperativeEquals
- OtherNullaryOverride
- OtherPureStatement
- OtherShadowing
- Scaladoc
- Unchecked
- Unused
- UnusedImports
- UnusedLocals
- UnusedNowarn
- UnusedParams
- UnusedPatVars
- UnusedPrivates
- WFlag
- WFlagDeadCode
- WFlagExtraImplicit
- WFlagNumericWiden
- WFlagSelfImplicit
- WFlagValueDiscard

o

scala.tools.nsc.Reporting.WarningCategory

# LintSerial

###

#### object LintSerial extends Lint

Source
  Reporting.scala

Linear Supertypes
Lint, WarningCategory, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LintSerial
2. Lint
3. WarningCategory
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def includes(o: WarningCategory): Boolean
    Definition Classes
      WarningCategory
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  lazy val name: String
    Definition Classes
      WarningCategory
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def summaryCategory: WarningCategory
    Definition Classes
      Lint → WarningCategory
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Lint

### Inherited from WarningCategory

### Inherited from AnyRef

### Inherited from Any

### Ungrouped